Bug 460853 - PPC kernel missing wireless drivers
PPC kernel missing wireless drivers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 23:28 EDT by Mace Moneta
Modified: 2008-09-10 03:22 EDT (History)
0 users

See Also:
Fixed In Version: kernel-2.6.26.3-14.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 13:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2008-09-01 23:28:43 EDT
Description of problem:

Kernels 2.6.26.3-5.fc8 and later are built without any wireless drivers

Version-Release number of selected component (if applicable):

2.6.26.3-5.fc8

How reproducible:

Every time

Steps to Reproduce:
1.rpm -ql kernel-2.6.26.3-5.fc8 | grep wireless
2.rpm -ql kernel-2.6.26.3-12.fc8 | grep wireless
  
Actual results:

$ rpm -ql kernel-2.6.26.3-5.fc8 | grep wireless
/lib/modules/2.6.26.3-5.fc8/kernel/drivers/char/pcmcia/ipwireless
/lib/modules/2.6.26.3-5.fc8/kernel/drivers/char/pcmcia/ipwireless/ipwireless.ko
/lib/modules/2.6.26.3-5.fc8/kernel/net/wireless
/lib/modules/2.6.26.3-5.fc8/kernel/net/wireless/cfg80211.ko


Expected results:

$ rpm -ql kernel-2.6.25.11-60.fc8 | grep wireless
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/char/pcmcia/ipwireless
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/char/pcmcia/ipwireless/ipwireless.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/adm8211.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/airo.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/airo_cs.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/airport.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/at76_usb.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/ath5k
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/ath5k/ath5k.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/atmel.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/atmel_cs.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/atmel_pci.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/b43
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/b43/b43.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/b43legacy
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/b43legacy/b43legacy.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/hermes.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/hostap
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/hostap/hostap.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/hostap/hostap_cs.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/hostap/hostap_pci.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/hostap/hostap_plx.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/iwlwifi
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/iwlwifi/iwl3945.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/iwlwifi/iwl4965.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/iwlwifi/iwlcore.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/libertas
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/libertas/libertas.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/libertas/libertas_cs.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/libertas/libertas_sdio.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/libertas/usb8xxx.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/mac80211_hwsim.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/netwave_cs.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/orinoco.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/orinoco_cs.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/orinoco_nortel.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/orinoco_pci.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/orinoco_plx.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/orinoco_tmd.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/p54
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/p54/p54common.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/p54/p54pci.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/p54/p54usb.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/prism54
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/prism54/prism54.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rndis_wlan.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rt2x00
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rt2x00/rt2400pci.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rt2x00/rt2500pci.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rt2x00/rt2500usb.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rt2x00/rt2x00lib.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rt2x00/rt2x00pci.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rt2x00/rt2x00usb.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rt2x00/rt61pci.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rt2x00/rt73usb.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rtl8180.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/rtl8187.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/spectrum_cs.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/wavelan_cs.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/wl3501_cs.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/zd1201.ko
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/zd1211rw
/lib/modules/2.6.25.11-60.fc8/kernel/drivers/net/wireless/zd1211rw/zd1211rw.ko
/lib/modules/2.6.25.11-60.fc8/kernel/net/wireless
/lib/modules/2.6.25.11-60.fc8/kernel/net/wireless/cfg80211.ko


Additional info:
Comment 1 Fedora Update System 2008-09-03 12:37:09 EDT
kernel-2.6.26.3-14.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/kernel-2.6.26.3-14.fc8
Comment 2 Mace Moneta 2008-09-03 13:47:37 EDT
Confirmed as corrected in kernel-2.6.26.3-14.fc8.
Comment 3 Fedora Update System 2008-09-10 03:22:45 EDT
kernel-2.6.26.3-14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.